Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util
Class UrlHelper

    java.lang.Object
      com.servingxml.util.UrlHelper

    public class UrlHelper

extends java.lang.Object

Constructor Summary
`UrlHelper()`

Method Summary
`static java.net.URL` | `createUrl(java.lang.String systemId)`
`static java.net.URL` | `createUrl(java.lang.String systemId, java.lang.String base)`
`static java.lang.String` | `escapeSpaces(java.lang.String s)` Replace spaces by %20
`static java.net.URL` | `locateJarFile(java.lang.String jarFilename)`
`static java.net.URL` | `makeJarUrl(java.lang.String jarFilename, java.lang.String jarEntry)`
`static java.lang.String` | `tryToExpand(java.lang.String systemId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlHelper

    public UrlHelper()

Method Detail

### createUrl

    public static java.net.URL createUrl(java.lang.String systemId)

### makeJarUrl

    public static java.net.URL makeJarUrl(java.lang.String jarFilename,
                                          java.lang.String jarEntry)
                                   throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`

### locateJarFile

    public static java.net.URL locateJarFile(java.lang.String jarFilename)
                                      throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`

### createUrl

    public static java.net.URL createUrl(java.lang.String systemId,
                                         java.lang.String base)

### escapeSpaces

    public static java.lang.String escapeSpaces(java.lang.String s)

  Replace spaces by %20

### tryToExpand

    public static java.lang.String tryToExpand(java.lang.String systemId)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD